<template>
  <template-page
    ref="pageRef"
    :get-list="getList"
    :export-list="exportList"
    :operation="operation()"
    :options-evens-group="optionsEvensGroup"
    :column-parsing="columnParsing"
  />
</template>

<script>
import TemplatePage from '@/components/template/template-page-1.vue'
import import_mixin from '@/components/template/import_mixin.js'
import add_callback_mixin from '@/components/template/add_callback_mixin.js'
import { getStockCostListMonthFullCost, getStockCostListMonthFullCostExport } from '@/api/basic_data/monthlyWarehouseRent'
export default {
  components: { TemplatePage },
  mixins: [import_mixin, add_callback_mixin],
  data() {
    return {
      visible: false,
      // 事件组合
      optionsEvensGroup: [
        [
          [
            {
              name: '月账单更新',
              click: () => {
                this.$refs.pageRef.refreshList()
              }
            }
          ]
        ]
      ],
      // 表格属性
      tableAttributes: {
        // 启用勾选列
        selectColumn: true
      }, // 关闭新增弹窗

      // 表格事件
      tableEvents: {
        'selection-change': this.selectionChange
      },
      recordSelected: [],

      detailsId: ''
    }
  },
  methods: {
    // 列表请求函数
    getList(...p) {
      this.recordSelected = []
      return getStockCostListMonthFullCost(...p)
    },
    // 列表导出函数
    exportList: getStockCostListMonthFullCostExport,
    // 表格列解析渲染数据更改
    columnParsing(_item, defaultData) {
      return defaultData
    },
    // 监听勾选变化
    selectionChange(data) {
      this.recordSelected = data
    },
    operation() {
      return (_h, { row, index, column }) => {
        return (
          <div class='operation-btns'>
            <el-button
              size='mini'
              type='text'
              onClick={ () => {
                if (!(row.yearTime && row.monthTime && row.customerNumber)) {
                  this.$errorMsg('错误数据')
                  return
                }
                this.$router.push(`/basic_data/dailyWarehouseRent?yearTime=${row.yearTime}&monthTime=${row.monthTime}&customerNumber=${row.customerNumber}&status=ENABLE`)
              }}
            >
              明细
            </el-button>
          </div>
        )
      }
    },
    handleClose() {
      this.addOff(() => {
        this.visible = false
      })()
    }
  }
}
</script>

<style lang="scss" scoped></style>
